Skip to main content
`Ctrl`+`K`

# PEPSetOptionsPrefix

Sets the prefix used for searching for all `PEP` options in the database.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetOptionsPrefix(PEP pep,const char prefix[])

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- prefix - the prefix string to prepend to all `PEP` option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different `PEP` contexts, one could call

       PEPSetOptionsPrefix(pep1,"qeig1_")
       PEPSetOptionsPrefix(pep2,"qeig2_")

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPAppendOptionsPrefix()`, `PEPGetOptionsPrefix()`

## Level

advanced

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages